/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

/**
 * @author Going Dot Com Inc.
 */
class XbItemOrderObj {

    private int itemOrder;
    private String taxGrpId;
    private String taxId;
    private String itemId;
    private String itemType;
    private String pItemId;
    private String pItemType;
    private String contextType;
    private String pOrder;
    private String lang;
    private String value;

    /**
     * contextTypeを取得します。
     * @return contextType
     */
    protected String getContextType() {
        return contextType;
    }

    /**
     * contextTypeを設定します。
     * @param contextType contextType
     */
    protected void setContextType(String contextType) {
        this.contextType = contextType;
    }

    /**
     * itemIdを取得します。
     * @return itemId
     */
    protected String getItemId() {
        return itemId;
    }

    /**
     * itemIdを設定します。
     * @param itemId itemId
     */
    protected void setItemId(String itemId) {
        this.itemId = itemId;
    }

    /**
     * itemOrderを取得します。
     * @return itemOrder
     */
    protected int getItemOrder() {
        return itemOrder;
    }

    /**
     * itemOrderを設定します。
     * @param itemOrder itemOrder
     */
    protected void setItemOrder(int itemOrder) {
        this.itemOrder = itemOrder;
    }

    /**
     * itemTypeを取得します。
     * @return itemType
     */
    protected String getItemType() {
        return itemType;
    }

    /**
     * itemTypeを設定します。
     * @param itemType itemType
     */
    protected void setItemType(String itemType) {
        this.itemType = itemType;
    }

    /**
     * langを取得します。
     * @return lang
     */
    protected String getLang() {
        return lang;
    }

    /**
     * langを設定します。
     * @param lang lang
     */
    protected void setLang(String lang) {
        this.lang = lang;
    }

    /**
     * pItemIdを取得します。
     * @return pItemId
     */
    protected String getPItemId() {
        return pItemId;
    }

    /**
     * pItemIdを設定します。
     * @param itemId pItemId
     */
    protected void setPItemId(String itemId) {
        pItemId = itemId;
    }

    /**
     * pItemTypeを取得します。
     * @return pItemType
     */
    protected String getPItemType() {
        return pItemType;
    }

    /**
     * pItemTypeを設定します。
     * @param itemType pItemType
     */
    protected void setPItemType(String itemType) {
        pItemType = itemType;
    }

    /**
     * pOrderを取得します。
     * @return pOrder
     */
    protected String getPOrder() {
        return pOrder;
    }

    /**
     * pOrderを設定します。
     * @param order pOrder
     */
    protected void setPOrder(String order) {
        pOrder = order;
    }

    /**
     * taxGrpIdを取得します。
     * @return taxGrpId
     */
    protected String getTaxGrpId() {
        return taxGrpId;
    }

    /**
     * taxGrpIdを設定します。
     * @param taxGrpId taxGrpId
     */
    protected void setTaxGrpId(String taxGrpId) {
        this.taxGrpId = taxGrpId;
    }

    /**
     * taxIdを取得します。
     * @return taxId
     */
    protected String getTaxId() {
        return taxId;
    }

    /**
     * taxIdを設定します。
     * @param taxId taxId
     */
    protected void setTaxId(String taxId) {
        this.taxId = taxId;
    }

    /**
     * valueを取得します。
     * @return value
     */
    protected String getValue() {
        return value;
    }

    /**
     * valueを設定します。
     * @param value value
     */
    protected void setValue(String value) {
        this.value = value;
    }
}